-------------------------------------------------------------------------------
-- MrTrader 0.1
--
-- Lightweight addon to access profession information of alts.
--
-- Send suggestions, comments, and bugs to user@zedonline.net
-------------------------------------------------------------------------------

MrTraderVersion = "0.1";

MrTrader = LibStub("AceAddon-3.0"):NewAddon("MrTrader",
											"AceEvent-3.0",
											"AceHook-3.0");
					
											
function MrTrader:OnInitialize()
	self:Load();
	self:InitializeMenu();
	
	-- Register for events.
	self:RegisterEvent("PLAYER_LOGIN", "OnLogin");
  	self:RegisterEvent("PLAYER_LOGOUT", "UpdateLinks");
	self:RegisterEvent("TRADE_SKILL_UPDATE", "UpdateLinks");
	self:RegisterEvent("TRAINER_UPDATE", "UpdateLinks");

	self:Output("MrTrader v" .. MrTraderVersion .. " loaded.");
end


function MrTrader:OnLogin()
	self:RegisterEvent("WORLD_MAP_UPDATE", "OnMapUpdate");
end

function MrTrader:OnMapUpdate()
	-- Keep trying until we know for sure we are up to date on skill links
	didUpdate = self:QuerySkills();
	if didUpdate then
		self:UnregisterEvent("WORLD_MAP_UPDATE");
	end
end

function MrTrader:UpdateLinks()
	self:QuerySkills();
end

function MrTrader:Output( msg )
	if DEFAULT_CHAT_FRAME then
		DEFAULT_CHAT_FRAME:AddMessage( msg );
	end
end

function MrTrader:TableSize(table)
	local count = 0;

	for _, _ in pairs(table) do
		count = count + 1;
	end
	
	return count;
end